Bug 823926 - Rebase krb5 to 1.10 for AD trust to work
Summary: Rebase krb5 to 1.10 for AD trust to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: Zbysek MRAZ
URL:
Whiteboard:
Depends On:
Blocks: 791327
TreeView+ depends on / blocked
 
Reported: 2012-05-22 13:13 UTC by Dmitri Pal
Modified: 2018-11-30 21:26 UTC (History)
7 users (show)

Fixed In Version: krb5-1.10.3-5.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:37:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0319 normal SHIPPED_LIVE krb5 bug fix update 2013-02-20 20:54:56 UTC

Description Dmitri Pal 2012-05-22 13:13:42 UTC
Krb5 needs to be updated to 1.10 to deliver AD trust functionality.

Comment 2 Nalin Dahyabhai 2012-07-05 18:06:22 UTC
Simo, Sumit, can one of you elaborate on which changes after 1.9(.0) were needed for this?  I'm trying to enumerate a list, and going from the README files, tickets 6869, 6886, 6912, 6994/7007, 7016/7039, 7092/7102, and 7120/7142 look relevant.  We already backported some of those into the earlier update, though, and if we can backport the rest and avoid a complete rebase, I'd prefer it.

Comment 3 Simo Sorce 2012-07-06 15:45:19 UTC
From IRC:
<simo> nalin: all testing have been done with 1.10, we have no idea how to isolate only the necessary changes
<nalin> simo: is 1.9 even known to not work, then?
<simo> yes
<simo> 1.9 will NOT work
<nalin> because...?
<simo> changes in internal interfaces iirc, plus number of bugs, plus we didn't bother finding out what else

Comment 4 RHEL Product and Program Management 2012-07-10 08:16:11 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 5 RHEL Product and Program Management 2012-07-10 23:59:52 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 15 errata-xmlrpc 2013-02-21 08:37:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0319.html


Note You need to log in before you can comment on or make changes to this bug.